AI QR codes AI二维码
GET https://qrcloud.online/api/ai-qr-codes/
curl --request GET \
--url 'https://qrcloud.online/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您正在搜索哪个字段。允许的值为:name。 |
| datetime_field | 可选 字符串 | 允许的值: datetime, last_datetime |
| datetime_start | 可选 字符串 | 从此日期时间开始过滤结果。Y-m-d H:i:s 格式。 |
| datetime_end | 可选 字符串 | 筛选结果直至此日期时间。Y-m-d H:i:s格式。 |
| order_by | 可选 字符串 | 按照哪个字段对结果排序。允许的值有:ai_qr_code_id, datetime, last_datetime, name。 |
| order_type | 可选 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选 整数 | 您想要结果的页面数。默认为1。 |
| results_per_page | 可选 整数 | 每页要显示多少个结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcloud.online/uploads/ai_qr_codes/example.png",
"content": "https://qrcloud.online/",
"prompt": "日落时的自然风景、瀑布、野生动物和阳光射线"
"embedded_data": "https://qrcloud.online/",
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-05-20 05:35:22",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/ai-qr-codes?page=1",
"last": "https://qrcloud.online/api/ai-qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/ai-qr-codes?page=1"
}
}
GET https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}
curl --request GET \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcloud.online/uploads/ai_qr_codes/example.png",
"content": "https://qrcloud.online/",
"prompt": "日落时的自然风景、瀑布、野生动物和阳光射线"
"embedded_data": "https://qrcloud.online/",
"last_datetime": null,
"datetime": "2026-05-20 05:35:22",
}
}
POST https://qrcloud.online/api/ai-qr-codes
| 参数 | 详细信息 | 描述 |
|---|---|---|
| link_id | 可选 整数 | - |
| project_id | 可选 整数 | - |
| name | 必填字段 字符串 | - |
| content | 必填字段 字符串 | - |
| prompt | 必填字段 字符串 | - |
| 参数 | 详细信息 | 描述 |
|---|---|---|
curl --request POST \
--url 'https://qrcloud.online/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=日落时的自然风景、瀑布、野生动物和阳光射线' \
--form 'content=https://qrcloud.online/' \
--url 'https://qrcloud.online/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=日落时的自然风景、瀑布、野生动物和阳光射线' \
--form 'content=https://qrcloud.online/' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| link_id | 可选 整数 | - |
| project_id | 可选 字符串 | - |
| name | 可选 字符串 | - |
| content | 可选 字符串 | - |
| prompt | 可选 字符串 | - |
curl --request POST \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \